Bug 39856 - rpm segfault when handling corrupt package
Summary: rpm segfault when handling corrupt package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-09 12:41 UTC by Pekka Pietikäinen
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 12:43:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrupted RPM causing segfault (296.35 KB, application/octet-stream)
2001-05-09 12:43 UTC, Pekka Pietikäinen
no flags Details

Description Pekka Pietikäinen 2001-05-09 12:41:50 UTC
Description of Problem:

I managed to find a corrupt RPM on a local rawhide mirror that
causes rpm to segfault when it is processed. The 
same file from another mirror works ok. 

How Reproducible:

rpm -qlp apacheconf-0.7-2.i386.rpm (file included with report)

Actual Results:

Segmentation fault

Expected Results:

In the case of corrupted packages, report the package as corrupt and not
segfault.

Additional Information:

Comment 1 Pekka Pietikäinen 2001-05-09 12:43:21 UTC
Created attachment 17867 [details]
Corrupted RPM causing segfault

Comment 2 Jeff Johnson 2001-05-12 01:29:03 UTC
I just checked in a change to prevent the segfault, should be in rpm-4.0.3-0.20
and
later.


Note You need to log in before you can comment on or make changes to this bug.